Skip to main content

createOrUpdateGitlabIntegration

Create or update GitLab integration (OAuth).

createOrUpdateGitlabIntegration(
input: CreateGitlabIntegrationInput!
): CreateOrUpdateGitlabIntegrationPayload

Arguments​

createOrUpdateGitlabIntegration.input ● CreateGitlabIntegrationInput! non-null input​

Parameters for CreateOrUpdateGitlabIntegration

Type​

CreateOrUpdateGitlabIntegrationPayload object​

Autogenerated return type of CreateOrUpdateGitlabIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateGitlabIntegration($input: CreateGitlabIntegrationInput!) {\n createOrUpdateGitlabIntegration(input: $input) { clientMutationId integration { id astBranchPattern astOrchestratorConfigured } }\n}","variables":{"input":{"companyId":"<company_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute